Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Aug 15 17:06
    chaffeqa opened #1508
  • Aug 08 16:07
    lierdakil closed #1507
  • Aug 08 16:07
    lierdakil labeled #1507
  • Aug 08 11:43
    rahamin1 opened #1507
  • Aug 07 12:07
    lierdakil labeled #1505
  • Aug 07 12:07
    lierdakil closed #1505
  • Aug 06 21:51
    TheEmrio closed #1506
  • Aug 05 14:22
    TheEmrio opened #1506
  • Jul 15 15:40
    Xapphire13 closed #1496
  • Jul 10 13:23
    akonwi opened #1505
  • Jul 10 04:44
    nelson6e65 edited #1504
  • Jul 10 04:40
    nelson6e65 opened #1504
  • Jul 08 06:40
    sshquack closed #846
  • Jun 17 16:02
    akonwi opened #1503
  • Jun 02 18:18
    tanfonto opened #1502
  • May 28 17:11
    jazzdragon opened #1501
  • Apr 29 01:12
    dyping closed #1500
  • Apr 28 06:56
    dyping edited #1500
  • Apr 28 06:54
    dyping edited #1500
  • Apr 26 11:38
    dyping opened #1500
James Brantly
@jbrantly
nope, sounds like learning
matthew harwood
@matthewharwood
I got to catch the bus but thanks for the help
cubuspl42
@cubuspl42
Hello!
Anybody here? :)
Blake Embrey
@blakeembrey
what's up? you're welcome to ask questions anytime - not everyone can online at all times :)
George Song
@gsong
@basarat So far atom-typescript has been the most pleasant thing of my investigation into TS.
Basarat Ali Syed
@basarat
@gsong cheers :rose:
Gordon Lawrenz
@DeusProx
Hello! I just updated to atom-typescript 7.6.3 and atom won't transpile to es6 anymore. all the lines which should be "import" are now "require" lines
http://pastebin.com/CAVx1tC3 this is my tsconfig
Basarat Ali Syed
@basarat

which should be "import" are now "require" lines

@Chocoloper is this the issue you are facing? Microsoft/TypeScript#5110

Gordon Lawrenz
@DeusProx
yeah
before the update it worked correctly and i could pull everything with systemjs into the browser
it also still works from terminal with tsc
Basarat Ali Syed
@basarat
@Chocoloper can you provide a repro for the TypeScript team. Till then you can lock your atom-typescript apm install atom-typescript@versionthatworks

it also still works from terminal with tsc

@Chocoloper try typescript nightly

or ntypescript if you don't want to mess up the meaning of tsc in your OS
Gordon Lawrenz
@DeusProx
no tsc 1.6.2 works correctly so i'm fine with it... it's only the builtin typescript in atom-typescript. i just commented Microsoft/TypeScript#5110
Basarat Ali Syed
@basarat
@Chocoloper please try npm install ntypescript -g and then run ntsc instead of tsc
Gordon Lawrenz
@DeusProx
okay i'll try
ntsc (1.8.0) works fine
I'm working with node(v4.2.1)/npm(2.14.7) from nvm
Basarat Ali Syed
@basarat
@Chocoloper can you share some files for my testing
sourcefiles would help a lot for faster tackling
Gordon Lawrenz
@DeusProx
i'll try.
Basarat Ali Syed
@basarat
Cheers :rose:
Gordon Lawrenz
@DeusProx
#First compile from atom-typescript
chocoloper@extensa:~/bitbucket/atom-typescript$ cat build/a.js 

var b_1 = require('./b');

class A {

    constructor() {

        this.b = new b_1.B();

    }

}

exports.A = A;

chocoloper@extensa:~/bitbucket/atom-typescript$ tsc 

chocoloper@extensa:~/bitbucket/atom-typescript$ cat build/a.js 

import { B } from './b';

export class A {

    constructor() {

        this.b = new B();

    }

}

chocoloper@extensa:~/bitbucket/atom-typescript$ ntsc 

chocoloper@extensa:~/bitbucket/atom-typescript$ cat build/a.js 

import { B } from './b';

export class A {

    constructor() {

        this.b = new B();

    }

}
chocoloper@extensa:~/bitbucket/atom-typescript$ tsc --version

message TS6029: Version 1.6.2

chocoloper@extensa:~/bitbucket/atom-typescript$ ntsc --version

message TS6029: Version 1.8.0
Gordon Lawrenz
@DeusProx
Gordon Lawrenz
@DeusProx
is that good enough? :worried:
Basarat Ali Syed
@basarat
sorry I had to go offline for a minute. Let me check
Gordon Lawrenz
@DeusProx
no problem^^ just saw you made two new version since i contacted you. you are working hard :+1:
Jeon, TaeKyung
@greatelv
if ts module imported in some file, Atom-typescript plugin not find index.ts in directory of that(ts module)
@basarat Have you any solution?
Screen Shot 2015-11-02 at 5.43.36 PM.png
Gordon Lawrenz
@DeusProx
it throws you an error on importing an directory? does it work if you delete that first line?
Basarat Ali Syed
@basarat
@greatelv first line should be from '../utils'; i.e. no trailing slash
@greatelv also will only work if module resolution is set to node
Jeon, TaeKyung
@greatelv
um.....
The slash is mistake!
what is module resolution ?
slikts
@slikts
it's the moduleResolution compiler option
Determine how modules get resolved. Either 'node' for Node.js/io.js style resolution, or 'classic' (default).
Valentin Robert
@Ptival
is there some magic I need to cast when I modify a .d.ts file so that atom-ts catches on the changes?
Valentin Robert
@Ptival
hmm, Ctrl-Alt-R seems to have solved, sorry about noise
Basarat Ali Syed
@basarat

@Ptival Faster if you sync : https://github.com/TypeStrong/atom-typescript/blob/master/docs/faq.md#atom-typescript-is-complaining-about-not-finding-files-or-other-weird-errors

Also, you don't need to do that if you modifed the .d.ts file from atom-typescript :rose:

DonSanto
@DonSanto
Changing the "Preferred quote character" has no effect. Putting a ' in that input field doesn't remove my warnings. It still says that quotemark ' should be "
debuuu
@debuuu
Is it possible to get type checking of a file that I import using the /// reference syntax?
So if I have some .ts file, and I use the ///<ref syntax to import it into another file, currently if I use the types defined in that file they are not recognised.
debuuu
@debuuu
Is there a way to mix AMD and CommonJS module loading?
Basarat Ali Syed
@basarat

if I have some .ts file, and I use the ///<ref syntax to import it into another file,

@debuuu please use tsconfig.json